"""usermerge URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.urls import re_path
from . import views

urlpatterns = [
    # The default login page serves as index page. Therefore, its regular route becomes r'^$' instead of r'^login/default$'.
    re_path(r'^$', views.display_default_login_page, name = 'default_login'),
    re_path(r'^login/submit$', views.log_in, name = 'submit_login'),
    re_path(r'^user/home/id=(\d{1,10})$', views.display_user_home_page, name = 'user_home'),
    re_path(r'^user/profile/edit/default/id=(\d{1,10})$', views.display_default_user_profile_edit_page, name = 'default_user_profile_edit'),
    re_path(r'^user/profile/edit/submit/id=(\d{1,10})$', views.edit_user_profile, name = 'edit_user_profile'),
    re_path(r'^user/profile/recovery/default/id=(\d{1,10})$', views.display_default_user_profile_recovery_page,
                                                              name = 'default_user_profile_recovery'),
    re_path(r'^user/profile/recovery/search/id=(\d{1,10})$', views.search_for_recovery_user_profile,
                                                             name = 'search_for_recovery_user_profile'),
    re_path(r'^user/profile/recovery/submit/id=(\d{1,10})/recover/id=(\d{1,10})$', views.recover_user_profile,
                                                                                   name = 'recover_user_profile'),
    re_path(r'^admin/home/id=(\d{1,10})$', views.display_admin_home_page, name = 'admin_home'),
    re_path(r'^logout$', views.log_out, name = 'logout'),
]

